Clear a filter created with advanced filter causes a parsing error in the attribute table

2013-07-14 04:18 PM - Pedro Venâncio

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17093

Description

When I clean a filter created with Advanced Filter in the attribute table, and do apply, it does not show all the records again, and shows a

parsing error. Doing the same with Column Filter, it works as expected.

I've made a screencast to illustrate the situation: http://goo.gl/VPVe9

Nathan has confirmed the problem in this thread 

http://osgeo-org.1560.x6.nabble.com/Advanced-filter-in-the-attribute-table-td5066323.html and according to him: 

It's trying to eval an empty expression which can't really work. The correct behavior would be to change the filter back to Show All

Features if the expression is null and the user presses Apply.

Associated revisions

Revision 85034e9a - 2013-07-15 03:25 PM - Nathan Woodrow 

Fix #8297. Select all when expression is blank

History

#1 - 2013-07-15 05:14 AM - Giovanni Manghi

Should be a blocker, or not?

#2 - 2013-07-15 06:25 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"85034e9a0c8e3ad18bfa30f27d3051369b77a245".

#3 - 2013-07-15 11:52 PM - Pedro Venâncio

Fix confirmed!

Thank you very much Nathan!
